### org.jfree.layouting.modules.output.excel

# Class ExcelOutputProcessor

- `java.lang.Object`
- - `org.jfree.layouting.output.AbstractOutputProcessor`
  - - `org.jfree.layouting.modules.output.excel.ExcelOutputProcessor`

Implemented Interfaces:
  OutputProcessor

`public class ExcelOutputProcessor`
`extends AbstractOutputProcessor`

Creation-Date: 12.11.2006, 15:36:56

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `PROCESSING_CONTENT`, `PROCESSING_GLOBAL_CONTENT`, `PROCESSING_PAGES`

  ## Constructor Summary

  `ExcelOutputProcessor(Configuration configuration, OutputStream outputStream)`

  ## Method Summary

  `Renderer`

  `createRenderer(LayoutProcess layoutProcess)`

  `OutputProcessorMetaData`

  `getMetaData()`

  `OutputStream`

  `getOutputStream()`

  `protected void`

  `processPageContent(LogicalPageKey logicalPageKey, LogicalPageBox logicalPage)`

  ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `createInputFeed`, `createLogicalPage`, `createModelBuilder`, `createNormalizer`, `getConfiguration`, `getDocumentContext`, `getLogicalPage`, `getLogicalPageCount`, `getPageCursor`, `getProcessingState`, `isContentGeneratable`, `isGlobalStateComputed`, `isPaginationFinished`, `processContent`, `processDocumentMetaData`, `processPageContent`, `processingContentFinished`, `processingFinished`, `processingGlobalContentFinished`, `processingPagesFinished`, `setPageCursor`

## Constructor Details

### ExcelOutputProcessor

    public ExcelOutputProcessor(Configuration configuration,
                                OutputStream outputStream)

## Method Details

### createRenderer

    public Renderer createRenderer(LayoutProcess layoutProcess)

> Specified by:
>   createRenderer in interface OutputProcessor

### getMetaData

    public OutputProcessorMetaData getMetaData()

> Specified by:
>   getMetaData in interface OutputProcessor

### getOutputStream

    public OutputStream getOutputStream()

### processPageContent

    protected void processPageContent(LogicalPageKey logicalPageKey,
                                      LogicalPageBox logicalPage)

> Overrides:
>   processPageContent in interface AbstractOutputProcessor